Bug 443906 - TV Out non-functional on Xorg 1.50 (RC1) with Intel Drivers
TV Out non-functional on Xorg 1.50 (RC1) with Intel Drivers
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 19:37 EDT by Sean Madden
Modified: 2009-07-14 13:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:37:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (928 bytes, application/octet-stream)
2008-04-23 19:37 EDT, Sean Madden
no flags Details
Xorg log (21.02 KB, text/plain)
2008-04-23 19:37 EDT, Sean Madden
no flags Details

  None (edit)
Description Sean Madden 2008-04-23 19:37:05 EDT
Description of problem:
TV Out on intel chipset GM965 Does not display anything on the television with
xrandr.  Rebooted into Windows, TV out works fine.  When I run the xrandr
command, the TV shows as 'connected', resolution is detected (1024x768) just
fine yet nothing is displayed on the screen.

Version-Release number of selected component (if applicable):
Xorg 1.5.0(rc1)
xorg-x11-drv-i810.x86_64 2.2.1-20.fc9 

How reproducible:
Everytime

Steps to Reproduce:
1. Connect TV, command "xrandr" shows TV connected
2. command "xrandr --output TV --auto", LVDS screen dimensions updated to 1024x768
3. Command "xrandr" shows TV connected and enabled with resolution "1024x768"
  
Actual results:
Laptop screen LVDS updates gnome-panel dimensions to 1024x768, TV screen remains
blank.

Expected results:
TV Screen shows what laptop screen is showing.

Additional info:
Comment 1 Sean Madden 2008-04-23 19:37:05 EDT
Created attachment 303560 [details]
xorg.conf
Comment 2 Sean Madden 2008-04-23 19:37:54 EDT
Created attachment 303561 [details]
Xorg log
Comment 3 Bug Zapper 2008-05-14 06:02:41 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Tim Wegener 2008-06-07 09:12:53 EDT
I am experiencing the same problem on an HP 6710b laptop with Intel X3100 video
("intel" driver). I was trying to enable TV out (S-video) using
gnome-display-properties and had an identical outcome to the one described here.

I also noticed that pressing fn-f4 makes the TV screen flicker briefly. 

Relevant packages (I'm running 32-bit system):
xorg-x11-server-Xorg-1.4.99.901-29.20080415.fc9.i386
xorg-x11-drv-i810-2.2.1-24.fc9.i386

Here is the output of the 'xrandr' command:
Screen 0: minimum 320 x 200, current 1680 x 1050, maximum 1680 x 1680
VGA disconnected (normal left inverted right x axis y axis)
LVDS connected 1680x1050+0+0 (normal left inverted right x axis y axis) 331mm x
207mm
   1680x1050      60.0*+
   1360x768       59.8     60.0
   1152x864       60.0
   1024x768       60.0
   800x600        60.3
   640x480        59.9
TV connected (normal left inverted right x axis y axis)
   1024x768       30.0
   800x600        30.0
   848x480        30.0
   640x480        30.0
Comment 5 Bug Zapper 2009-06-09 20:23:26 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Tim Wegener 2009-06-24 08:27:46 EDT
This is still problematic in Fedora 11. 

I did have limited success with:
xrandr --output TV1 --mode 800x600

Which gave mirrored (and cropped) output on the TV. 
Then I tried:
xrandr --output TV1 --off

which had no effect.

xrandr --output TV1 --auto
...changed the output to poorer quality.

xrandr --output TV1 --mode 800x600
...resulted in the TV out going blank.

Subsequent commands (all of the above) had no effect.

$ xrandr
Screen 0: minimum 320 x 200, current 1680 x 1050, maximum 8192 x 8192
VGA1 disconnected (normal left inverted right x axis y axis)
LVDS1 connected 1680x1050+0+0 (normal left inverted right x axis y axis) 331mm x 207mm
   1680x1050      60.0*+
TV1 unknown connection (normal left inverted right x axis y axis)
   1024x768       30.0  
   800x600        30.0  
   848x480        30.0  
   640x480        30.0
Comment 7 Tim Wegener 2009-06-24 08:29:01 EDT
Please change Version to Fedora 11, as I am unable to do so.
Comment 8 Bug Zapper 2009-07-14 13:37:54 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.